package com.menlo.example2a

import spock.lang.*

class Test_example2a extends Specification {
	static String here    = System.getProperty("user.dir")
	static String bin     = "${here}/src/test/resources/bin"
	static String data    = "${here}/src/test/resources/data"
	static String prog    = "${here}/src/main/bash/example2a"
	static String wrapper = "${here}/target/example2a"

	def "test all on one partition"() {
		setup:
			File f = new File(wrapper)
			f.delete()
			f << "#!/bin/bash\n"
			f << "export ASM2_MOUNT_FILE=${data}/mount.single\n"
			f << "export ASM2_MOUNT_EXIT=0\n"
			f << "export TESTBIN=${bin}\n"
			f << "${prog}\n"
			f.setExecutable(true, false)

		when:
			Process p = "${wrapper}".execute()
			p.waitFor()

		then:
			p.exitValue() == 0
			p.text.contains("1 partition")

		cleanup:
			assert new File(wrapper).delete()
	}

	def "test multiple partitions"() {
		setup:
			File f = new File(wrapper)
			f.delete()
			f << "#!/bin/bash\n"
			f << "export ASM2_MOUNT_FILE=${data}/mount.separate\n"
			f << "export ASM2_MOUNT_EXIT=0\n"
			f << "export TESTBIN=${bin}\n"
			f << "${prog}\n"
			f.setExecutable(true, false)

		when:
			Process p = "${wrapper}".execute()
			p.waitFor()

		then:
			p.exitValue() == 0
			p.text.contains("5 partitions")

		cleanup:
			assert new File(wrapper).delete()
	}
} // Test_example2a
